Results 1 to 2 of 2

Thread: Problems getting lirc to compile

  1. #1
    Join Date
    Jun 2008
    Location
    Tennessee
    Posts
    6

    Default Problems getting lirc to compile

    Hello, I am actually not sure where this should go but this seems to be the most likely place. I am trying to compile and run lirc so I can use a remote for my computer, there is just one problem, it will not compile correctly. I have been able to configure it and create the makefiles, but every time I give the command make I get this:

    make all-recursive
    make[1]: Entering directory `/home/translucentsabre/lirc-0.8.3pre3'
    Making all in drivers
    make[2]: Entering directory `/home/translucentsabre/lirc-0.8.3pre3/drivers'
    Making all in lirc_dev
    make[3]: Entering directory `/home/translucentsabre/lirc-0.8.3pre3/drivers/lirc_dev'
    mv Makefile Makefile.automake
    cp ./../Makefile.kernel Makefile
    CPPFLAGS="" CFLAGS="" LDFLAGS="" \
    make -C /lib/modules/2.6.25.9-0.2-default/source/ SUBDIRS=/home/translucentsabre/lirc-0.8.3pre3/drivers/lirc_dev modules \
    KBUILD_VERBOSE=1
    make[4]: Entering directory `/usr/src/linux-2.6.25.9-0.2'
    test -e include/linux/autoconf.h -a -e include/config/auto.conf || ( \
    echo; \
    echo " ERROR: Kernel configuration is invalid."; \
    echo " include/linux/autoconf.h or include/config/auto.conf are missing."; \
    echo " Run 'make oldconfig && make prepare' on kernel src to fix it."; \
    echo; \
    /bin/false)
    mkdir -p /home/translucentsabre/lirc-0.8.3pre3/drivers/lirc_dev/.tmp_versions ; rm -f /home/translucentsabre/lirc-0.8.3pre3/drivers/lirc_dev/.tmp_versions/*

    WARNING: Symbol version dump /usr/src/linux-2.6.25.9-0.2/Module.symvers
    is missing; modules will have no dependencies and modversions.

    make -f scripts/Makefile.build obj=/home/translucentsabre/lirc-0.8.3pre3/drivers/lirc_dev
    gcc -Wp,-MD,/home/translucentsabre/lirc-0.8.3pre3/drivers/lirc_dev/.lirc_dev.o.d -nostdinc -isystem /usr/lib64/gcc/x86_64-suse-linux/4.3/include -D__KERNEL__ -Iinclude -include include/linux/autoconf.h -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing-fno-common -Werror-implicit-function-declaration -Os -fno-stack-protector -m64 -mtune=generic -mno-red-zone -mcmodel=kernel -funit-at-a-time -maccumulate-outgoing-args -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -pipe -Wno-sign-compare -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -fno-omit-frame-pointer -fno-optimize-sibling-calls -fasynchronous-unwind-tables -g-Wdeclaration-after-statement -Wno-pointer-sign -DIRCTL_DEV_MAJOR=61 -DEXPORT_SYMTAB -DHAVE_CONFIG_H -I. -I. -I../.. -I/home/translucentsabre/lirc-0.8.3pre3/drivers/lirc_dev/. -I/home/translucentsabre/lirc-0.8.3pre3/drivers/lirc_dev/ -I/home/translucentsabre/lirc-0.8.3pre3/drivers/lirc_dev/../.. -I/home/translucentsabre/lirc-0.8.3pre3/drivers/lirc_dev/../.. -I/lib/modules/2.6.25.9-0.2-default/source//include/ -I/lib/modules/2.6.25.9-0.2-default/source//drivers/media/video/ -DMODULE -D"KBUILD_STR(s)=#s" -D"KBUILD_BASENAME=KBUILD_STR(lirc_dev)" -D"KBUILD_MODNAME=KBUILD_STR(lirc_dev)" -c -o /home/translucentsabre/lirc-0.8.3pre3/drivers/lirc_dev/.tmp_lirc_dev.o /home/translucentsabre/lirc-0.8.3pre3/drivers/lirc_dev/lirc_dev.c
    /bin/sh: scripts/genksyms/genksyms: No such file or directory
    make[5]: *** [/home/translucentsabre/lirc-0.8.3pre3/drivers/lirc_dev/lirc_dev.o] Error 1
    make[4]: *** [_module_/home/translucentsabre/lirc-0.8.3pre3/drivers/lirc_dev] Error 2
    make[4]: Leaving directory `/usr/src/linux-2.6.25.9-0.2'
    make[3]: *** [lirc_dev.o] Error 2
    make[3]: Leaving directory `/home/translucentsabre/lirc-0.8.3pre3/drivers/lirc_dev'
    make[2]: *** [all-recursive] Error 1
    make[2]: Leaving directory `/home/translucentsabre/lirc-0.8.3pre3/drivers'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/home/translucentsabre/lirc-0.8.3pre3'
    make: *** [all] Error 2

    I am running OpenSuse 11.0 and am trying to compile and install lirc 0.8.3. Any help would be greatly appreciated, thank you all for your time and energy.

  2. #2
    Join Date
    Jul 2008
    Location
    Nanjing, China
    Posts
    78

    Default Re: Problems getting lirc to compile

    I've never installed lirc but I found this and I think it should be useful to you. Btw, there is a programming forum where you'd probably get more exposure to people in the know (ie. NOT me )

    SuSe 9.2, AverMedia 98 && Lirc - openSUSE Forums

    If you check the very last 2 posts, I think that's what you're looking for. I've copied it here for you for your convenience:

    *** Replace the kernel version with your own. If you're not sure, type 'uname -r' in a console***
    Basically

    [1] Download the kernel-source
    [2] cd /usr/src/linux-2.6.5-7.75/
    [3] make oldconfig
    [4] make

    Now we have a valid "Module.symvers"

    [5] cp Module.symvers /lib/modules/2.6.5-7.75-default/build/
    Second post:
    Now all is ok. I installed the kernel sourde and make an oldconfig and make.
    After it, i could compile lirc. In /etc/sysconfig/lirc I changed:
    LIRCD_DEVICE = "/dev/lirc"
    LIRCD_DRIVER = "default"
    LIRCD_MODULE = "lirc_gpio"
    Finally I loaded lirc_gpio with ">modprobe lirc-gpio"

    I hope that this will help any in future.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •